path: /build/build/nvidia-535-kernel-open-modules-kernel-6.6-535.183.01+1.package.tar.zst
dependencies: []
compilespec:
  steps:
  - sed -i -e 's|versionator||g'  /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild
    && rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    && anise repo update && anise upgrade -y && anise i -y x11-drivers-535/nvidia-drivers
    && anise cleanup && USE="open-kernel" emerge =x11-drivers/nvidia-kernel-modules-535.183.01
    -pv -t
  - |
    USE="open-kernel" emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-535.183.01
  - |
    eval 'rm -rf /nvidia-535-kernel-open-modules || true' && mkdir /nvidia-535-kernel-open-modules && \
    luet-portage --dir /nvidia-535-kernel-open-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-535-kernel-open-modules/lib/modules/nvidia-open/535.183.01/6.6.50-macaroni/video/*.ko
    ; do zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:dd8e177d7a74183613c65645685ca109294658f41828053939f9dcb58ee5c429
  package:
    name: nvidia-535-kernel-open-modules
    version: 535.183.01+1
    category: kernel-6.6
    use_flags:
    - open-kernel
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.6
    annotations:
      kernel_module: true
    buildtimestamp: 2024-09-11 17:56:44.430530112 +0000 UTC m=+639.967403898
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 6.6.50
      original.package.slot: "535"
      original.package.version: 535.183.01
    treedir: /build/packages
  package_dir: /nvidia-535-kernel-open-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: abd4fd6aecc6fa96f23cc832499b055d83e5eb1c90f7d98f61245300318f3759
compressiontype: zstd
files:
- lib/modules/nvidia-open/535.183.01/6.6.50-macaroni/video/nvidia-drm.ko.zst
- lib/modules/nvidia-open/535.183.01/6.6.50-macaroni/video/nvidia-modeset.ko.zst
- lib/modules/nvidia-open/535.183.01/6.6.50-macaroni/video/nvidia-uvm.ko.zst
- lib/modules/nvidia-open/535.183.01/6.6.50-macaroni/video/nvidia.ko.zst
package_cacheimage: ""
runtime:
  name: nvidia-535-kernel-open-modules
  version: 535.183.01+1
  category: kernel-6.6
  use_flags:
  - open-kernel
  requires:
  - name: gpu-configurator
    version: '>=0'
    category: app-admin
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 6.6.50
    original.package.slot: "535"
    original.package.version: 535.183.01
